#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindowClass)
{
    ui->setupUi(this);
    ui->pushButton_2->setEnabled(0);
    ui->pushButton_3->setEnabled(0);
    ui->pushButton->setEnabled(1);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    bdaddr = *BDADDR_ANY;

        /* Connect to the wiimote */
    if (!(wiimote = cwiid_open(&bdaddr, 0))) {
                fprintf(stderr, "Unable to connect to wiimote\n");
                return ;
        }
ui->pushButton_2->setEnabled(1);
ui->pushButton_3->setEnabled(1);
ui->pushButton->setDisabled(1);

}

void MainWindow::on_pushButton_2_clicked()
{
    toggle_bit(led_state, CWIID_LED1_ON);
    if (cwiid_set_led(wiimote, led_state)) {
                fprintf(stderr, "Error setting LEDs \n");
        }
}

void MainWindow::on_pushButton_3_clicked()
{
    if (cwiid_close(wiimote)) {
                fprintf(stderr, "Error on wiimote disconnect\n");
                return ;
        }
    ui->pushButton_3->setEnabled(0);
    ui->pushButton_2->setEnabled(0);
    ui->pushButton->setEnabled(1);
}
