#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <cwiid.h>


// toggle_bit macro
#define toggle_bit(bf,b)	\
        (bf) = ((bf) & b)		\
               ? ((bf) & ~(b))	\
               : ((bf) | (b))


namespace Ui
{
    class MainWindowClass;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindowClass *ui;
    cwiid_wiimote_t *wiimote;	/* wiimote handle */
    struct cwiid_state state;	/* wiimote state */
    bdaddr_t bdaddr;	/* bluetooth device address */
    unsigned char led_state ;

private slots:
    void on_pushButton_3_clicked();
    void on_pushButton_2_clicked();
    void on_pushButton_clicked();
};

#endif // MAINWINDOW_H
